/*
    使用プログラム
    SEIZO040Search.php 生産計画照会画面
*/

/*----------------------------------------
 *【生産計画照会画面】
 *---------------------------------------*/
/****各テキストボックス項目定義****/
/* 単価 */
.SEIZO040-txt-tanka {
    width: 120px;
}

.SEIZO040-txt-day {
    width: 50px;
}

/* 季節 */
.SEIZO040-tbl-kisetsu tbody tr td {
    border-color: transparent;
}

/****各ラベル項目定義****/
/* 工場名称(倉庫名称) */
.SEIZO040-lbl-soko_nm_hdr {
    width: 400px;
}
/* 製品名称(商品名称) */
.SEIZO040-lbl-shohin_nm {
    width: 400px;
}
/* 規格名称 */
.SEIZO040-lbl-kikaku_nm {
    width: 80px;
}

/*----------------------------------------
 *【生産計画照会画面】
 *---------------------------------------*/
/* ヘッダーテーブル(検索条件) */
.SEIZO040-tbl-header th {
    width: 100px;
    max-width: 100px;
}
.SEIZO040-tbl-header tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 500px;
    max-width: 500px;
}
.SEIZO040-tbl-header tbody tr:nth-of-type(1) td:nth-of-type(2) {
    width: 500px;
    max-width: 500px;
}
/*追加*/
.SEIZO040-td-kisetsu {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.SEIZO040-td-kisetsu {
    margin: 0 !important;
}

.SEIZO040-td-kisetsu,
.SEIZO040-td-kisetsu {
    padding: 1px !important;
}
.MASTER730-tbl-kisetsu tbody tr,
.MASTER730-tbl-kisetsu tbody td{
    border: 0px none;
}
.MASTER730-tbl-kisetsu tbody td{
    width: 35px;
    text-align: left;
}
/*追加END*/

/* thタグ内に文字を配置したため白色 */
#lblSokoKojoCd,
#lblSeisanShukoYmd,
#lblSeihinGenryoCd,
#lblSeihinGenryoCdDtl,
#lblSeihinGenryoNmDtl,
#lblSeihinTonyuTaniNmDtl {
    color: #ffffff;
}

/*ボタン定義*/
.SEIZO040-btn_area {
    width: 1252px;
}
.SEIZO040-div-float-area {
    float: left;
}

/*****************************
 *製品構成マスタ情報エリア定義
 ****************************/
.SEIZO040-div-seihin_kosei {
    margin-top: 5px;
    margin-bottom: 5px;
}
.SEIZO040-tbl-seihin_kosei tr th {
    height: 25px;
}
.SEIZO040-tbl-seihin_kosei thead tr:nth-of-type(1) th:nth-of-type(1) {
    text-align: center;
}
.SEIZO040-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 35px;
    max-width: 35px;
    text-align: right;
}
.SEIZO040-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(2) {
    width: 80px;
    max-width: 80px;
    text-align: left;
}
.SEIZO040-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(3),
.SEIZO040-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(4),
.SEIZO040-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(5),
.SEIZO040-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(6),
.SEIZO040-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(7),
.SEIZO040-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(8) {
    width: 120px;
    max-width: 120px;
    text-align: right;
}

/*****************************
 *明細情報エリア定義
 ****************************/

.SEIZO040-tbl-body_L tbody .SEIZO040-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}
.SEIZO040-tbl-body_R tbody .SEIZO040-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}
.SEIZO040-tbl-body_L tbody .SEIZO040-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}
.SEIZO040-tbl-body_R tbody .SEIZO040-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}

/* ▽ ========== HEAD ========== ▽ */
.SEIZO040-flex-tbl-head-area {
    width: 100%;
    min-width: 1400px;
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
}
.SEIZO040-flex-tbl-head-area table {
    margin: 0px;
}
.SEIZO040-flex-tbl-head-L {
    width: 529px;
    overflow: hidden;
}
.SEIZO040-flex-tbl-head-R {
    width: 1051px;
    overflow: hidden;
    overflow-y: auto;
    overflow-x: hidden;
}
.SEIZO040-tbl-head_L {
    width: 100%;
    margin: 0;
}
.SEIZO040-tbl-head_R {
    width: 1984px;
    margin: 0;
}
.SEIZO040-tbl-head_L thead tr th {
    height: 25px;
}
.SEIZO040-tbl-head_R thead tr th {
    height: 25px;
}
.SEIZO040-tbl-head_R thead tr th:first-child {
    border-left: none;
}

/* ▽ ========== BODY ========== ▽ */
.SEIZO040-tbl-body-area {
    width: 1601px;
    display: flex;
}
.SEIZO040-flex-tbl-body-L {
    width: 529px;
    max-height: 450px;
    margin-top: 0px;
    overflow: hidden;
}
.SEIZO040-flex-tbl-body-R {
    max-width: 1072px;
    max-height: 476px;
    margin-top: 0px;
    overflow: scroll;
}
.SEIZO040-tbl-body_L {
    width: 100%;
    margin-top: -1px;
}
.SEIZO040-tbl-body_R {
    width: 1984px;
    margin-top: -1px;
}
.SEIZO040-tbl-body_L tbody tr.odd {
    background: #f4f6f6;
}
.SEIZO040-tbl-body_L tbody tr.even {
    background: #ffffff;
}
.SEIZO040-tbl-body_L tr td {
    padding-top: 0;
    padding-bottom: 0;
}
.SEIZO040-tbl-body_R tbody tr.odd {
    background: #f4f6f6;
}
.SEIZO040-tbl-body_R tbody tr.even {
    background: #ffffff;
}
.SEIZO040-tbl-body_R tr td {
    padding-top: 0;
    padding-bottom: 0;
}
.SEIZO040-tbl-body_R tbody tr td:first-child {
    border-left: none;
}

/* ▽ ========== FOOT ========== ▽ */
.SEIZO040-flex-tbl-foot-R {
    overflow-x: auto;
    width: 897px;
    margin-left: 528px;
}
.SEIZO040-tbl-foot_R {
    width: 1986px;
    margin-top: 0;
}

/* ▽ ========== 明細項目 ========== ▽ */

/* com-itemの右寄せが効く様に最大幅まで伸ばす */
.lbl-number {
    width: 100%;
}
.SEIZO040-lbl-title {
  /* thを指定すると高さが違いによりテーブルにズレが発生するため個別指定 */
  background-color: #0068b7;
  color: #ffffff;
  text-align: center;
}

.SEIZO040-tbl-result_col1 {
    width: 42px;
}
.SEIZO040-tbl-result_col2 {
    width: 140px;
}
.SEIZO040-tbl-result_col3 {
    width: 130px;
}
.SEIZO040-tbl-result_col4 {
    width: 67px;
}
.SEIZO040-tbl-result_col5 {
    width: 43px;
}
.SEIZO040-tbl-result_col_Enpty {
    width: 43px;
}
.SEIZO040-tbl-result_col_yymm {
    width: 76px;
}
.SEIZO040-tbl-td_yellow {
    background-color: #ffffd6;
}
.SEIZO040-tbl-td_blue {
    background-color: #d6ffff;
}
.SEIZO040-tbl-td_red {
    background-color: #ffd6ff;
}